Author Topic: quoFEM on HPC with cli  (Read 265 times)

bilalgungorr

  • Newbie
  • *
  • Posts: 1
    • View Profile
quoFEM on HPC with cli
« on: July 28, 2022, 10:28:18 PM »
Hello,
I can run quoFEM from terminal with the help of @fmk. I want to use quoFEM on HPC (centOS-7; gcc-4.8.5; cmake-2.8.12) and tried to install from source code by following instructions in https://github.com/NHERI-SimCenter/SimCenterBackendApplications/blob/master/appveyor.yml
"
ipp-include/2019.4@simcenter/stable: Calling package()
ERROR: ipp-include/2019.4@simcenter/stable: Error in package() method, line 39
   self.copy("LICENSE.txt", dst="licenses", src=self._source_subfolder + "/info")
   PermissionError: [Errno 13] Permission denied: '/truba/home/bigungor/.conan/data/ipp-include/2019.4/simcenter/stable/package/5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9/licenses/LICENSE.txt'
conan failed
"
got this error, as can be seen below LICENSE.txt file is copied.
COMMAND: ls ~/.conan/data/ipp-include/2019.4/simcenter/stable/package/5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9/licenses
RETURN: LICENSE.txt

Can anyone help me with this installation process?
Do I have to install Qt if I won't use UI or I just need to install SimCenterBackendApplications?


Sang-ri

  • Newbie
  • *
  • Posts: 30
    • View Profile
Re: quoFEM on HPC with cli
« Reply #1 on: July 29, 2022, 01:53:02 AM »
Please check the message I sent you.

Sang-ri